#
# spec file for package ghc-http-api-data
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name http-api-data
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.3.7.1
Release:        lp150.1.8
Summary:        Converting to/from HTTP API data like URL pieces, headers and query parameters
License:        BSD-2-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-attoparsec-iso8601-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cabal-doctest-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-time-locale-compat-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-uri-bytestring-devel
BuildRequires:  ghc-uuid-types-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-quickcheck-instances-devel
BuildRequires:  ghc-uuid-devel
%endif

%description
Converting to/from HTTP API data like URL pieces, headers and query parameters.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu May 18 2017 psimons@suse.com
- Update to version 0.3.7.1 with cabal2obs.
* Mon Apr 24 2017 psimons@suse.com
- Update to version 0.3.7 with cabal2obs.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 0.3.6 with cabal2obs.
* Fri Mar 31 2017 psimons@suse.com
- Improve package description.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.3.5 with cabal2obs.
* Mon Jul 25 2016 psimons@suse.com
- Update to version 0.2.4 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.2.3 revision 0 with cabal2obs.
* Sat Jun 11 2016 mimi.vx@gmail.com
- update to 0.2.3
  * Add more parser helpers for Bounded Enum types.
* Sun Dec 13 2015 mimi.vx@gmail.com
- update to 0.2.2
  * Add instances for more time types: LocalTime, ZonedTime, UTCTime and NominalDiffTime
* Mon Nov 23 2015 mimi.vx@gmail.com
- correct license to BSD-2-Clause
* Thu Nov 19 2015 mimi.vx@gmail.com
- initial commit
